TStatement
Keywords: uk.ac.ic.doc.automed.templates.wrapper.TStatement,TStatement class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.templates.wrapper
Class TStatement

    java.lang.Object
      |
      +--uk.ac.ic.doc.automed.templates.wrapper.TStatement

Direct Known Subclasses:
  CreateListStatement, DefineStringStatement, ForeachStatement, IndexListStatement, InsertingStatement, RemovingStatement, RenameStatement, SchemeListStatement

public abstract class TStatement
extends java.lang.Object

Field Summary
`protected TStatementArgument` | `fromSchemaARG`
`java.lang.Integer` | `self`
`protected java.lang.String` | `statementType`
`protected TStatementArgument` | `toSchemaARG`

Constructor Summary
`TStatement()`

Method Summary
`protected abstract int` | `createExecutionStatement(int psn, CompositeTransformation trans)`
`protected abstract java.lang.String` | `getArgumentDescription(TStatementArgument sa)`
`protected abstract java.lang.String` | `getStatementDescription()`
`protected abstract int` | `numberOfElements(TStatementArgument sa)`
`protected abstract TStatementArgument` | `resultingSchema()`
`protected abstract void` | `rollback()`
`protected abstract void` | `setFromSchema(TArgument sch)`
`protected abstract void` | `updateRepository()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### self

    public java.lang.Integer self

### fromSchemaARG

    protected TStatementArgument fromSchemaARG

### toSchemaARG

    protected TStatementArgument toSchemaARG

### statementType

    protected java.lang.String statementType

Constructor Detail

### TStatement

    public TStatement()

Method Detail

### setFromSchema

    protected abstract void setFromSchema(TArgument sch)
                                   throws TemplateDefinitionException

    `TemplateDefinitionException`

### resultingSchema

    protected abstract TStatementArgument resultingSchema()

### getArgumentDescription

    protected abstract java.lang.String getArgumentDescription(TStatementArgument sa)

### numberOfElements

    protected abstract int numberOfElements(TStatementArgument sa)

### updateRepository

    protected abstract void updateRepository()
                                      throws TemplateDefinitionException

    `TemplateDefinitionException`

### createExecutionStatement

    protected abstract int createExecutionStatement(int psn,
                                                    CompositeTransformation trans)
                                             throws TemplateDefinitionException

    `TemplateDefinitionException`

### rollback

    protected abstract void rollback()
                              throws TemplateDefinitionException

    `TemplateDefinitionException`

### getStatementDescription

    protected abstract java.lang.String getStatementDescription()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD